# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "validates_lengths_from_database"
  s.version = "0.4.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 1.3.4") if s.respond_to? :required_rubygems_version=
  s.authors = ["Ben Hughes"]
  s.date = "2015-01-04"
  s.description = "Introspects your database string field maximum lengths and automatically defines length validations."
  s.email = "ben@railsgarden.com"
  s.homepage = "http://github.com/rubiety/validates_lengths_from_database"
  s.require_paths = ["lib"]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.3")
  s.rubyforge_project = "validates_lengths_from_database"
  s.rubygems_version = "1.8.23"
  s.summary = "Automatic maximum-length validations."

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<activerecord>, [">= 2.3.2"])
      s.add_development_dependency(%q<activesupport>, [">= 2.3.2"])
      s.add_development_dependency(%q<rspec>, ["~> 2.0"])
      s.add_development_dependency(%q<sqlite3>, ["~> 1.3.4"])
      s.add_development_dependency(%q<appraisal>, ["~> 1.0.2"])
      s.add_development_dependency(%q<pg>, ["~> 0.17.1"])
      s.add_development_dependency(%q<rdoc>, ["~> 3.12"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<i18n>, [">= 0"])
      s.add_development_dependency(%q<iconv>, ["~> 1.0.4"])
    else
      s.add_dependency(%q<activerecord>, [">= 2.3.2"])
      s.add_dependency(%q<activesupport>, [">= 2.3.2"])
      s.add_dependency(%q<rspec>, ["~> 2.0"])
      s.add_dependency(%q<sqlite3>, ["~> 1.3.4"])
      s.add_dependency(%q<appraisal>, ["~> 1.0.2"])
      s.add_dependency(%q<pg>, ["~> 0.17.1"])
      s.add_dependency(%q<rdoc>, ["~> 3.12"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<i18n>, [">= 0"])
      s.add_dependency(%q<iconv>, ["~> 1.0.4"])
    end
  else
    s.add_dependency(%q<activerecord>, [">= 2.3.2"])
    s.add_dependency(%q<activesupport>, [">= 2.3.2"])
    s.add_dependency(%q<rspec>, ["~> 2.0"])
    s.add_dependency(%q<sqlite3>, ["~> 1.3.4"])
    s.add_dependency(%q<appraisal>, ["~> 1.0.2"])
    s.add_dependency(%q<pg>, ["~> 0.17.1"])
    s.add_dependency(%q<rdoc>, ["~> 3.12"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<i18n>, [">= 0"])
    s.add_dependency(%q<iconv>, ["~> 1.0.4"])
  end
end
